%define module	HTML-FillInForm
%define version 1.01
%define release 1mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel perl-CGI perl-HTML-Parser
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Prefix:         %{_prefix}
Requires:	perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/HTML

%changelog
* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 1.01-1mdk
- 1.01.

* Fri Oct 25 2002 Franois Pons <fpons@mandrakesoft.com> 1.00-1mdk
- 1.00.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.29-2mdk
- rebuild for perl 5.8.0
- remove filelist
- install in vendor_perl

* Fri May 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.29-1mdk
- 0.29.

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.28-1mdk
- 0.28.

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 0.25-1mdk
- 0.25.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 0.24-1mdk
- 0.24.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.23-1mdk
- 0.23
- Update perl version in requires.

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 0.21-2mdk
- BuildRequires: perl-CGI perl-HTML-Parser

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.21-1mdk
- First RPM
